import type { SensitiveTextComponent } from "./SensitiveText";
import type { PackageSelectorComponent } from "./PackageSelector";
import type { TextComponent } from "./Text";
import type { RadioButtonsComponent } from "./RadioButtons";
import type { ListComponent } from "./List";
import type { AccountSelectorComponent } from "./Account";
import type { ContainerImageSelectorComponent } from "./ContainerImageSelector";
import type { CheckboxComponent } from "./Checkbox";
import type { SelectComponent } from "./Select";

export type StepInputComponent =
    | SensitiveTextComponent
    | PackageSelectorComponent
    | ContainerImageSelectorComponent
    | TextComponent
    | RadioButtonsComponent
    | ListComponent
    | CheckboxComponent
    | SelectComponent;

export type DeploymentTargetInputComponent =
    | SensitiveTextComponent
    | TextComponent
    | RadioButtonsComponent
    | AccountSelectorComponent
    | CheckboxComponent
    | SelectComponent;

export type CommonInputProps = {
    label: string;
    helpText: string;
};
